lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "failblazer/version"

Gem::Specification.new do |spec|
  spec.name          = "failblazer"
  spec.version       = Failblazer::VERSION
  spec.authors       = ["Lee Hambley"]
  spec.email         = ["lee.hambley@gmail.com"]

  spec.summary       = %q{A frozen and heavily hacked version of Trailblazer 2.0.7}
  spec.homepage      = "https://github.com/leehambley/failblazer"
  spec.license       = "MIT"

  # spec.metadata["allowed_push_host"] = "http://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/leehambley/failblazer"
  spec.metadata["changelog_uri"] = "https://github.com/leehambley/failblazer"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
